import { Component, OnInit } from '@angular/core';
import {
  FormBuilder,
  FormGroup,
  FormControl,
  Validators,
  FormArray,
  AbstractControl,
} from '@angular/forms';

@Component({
  selector: 'cse-new-audit-options',
  templateUrl: './new-audit-options.component.html',
  styleUrls: ['./new-audit-options.component.scss'],
})
export class NewAuditOptionsComponent implements OnInit {
  public newAuditForm: FormGroup;

  get formArray(): AbstractControl | null {
    return this.newAuditForm.get('formArray');
  }

  constructor(private fb: FormBuilder) {}

  ngOnInit() {
    this.newAuditForm = this.fb.group({
      formArray: this.fb.array([
        this.fb.group({
          auditType: new FormControl(''),
        }),
        this.fb.group({
          programOfStudy: new FormControl(''),
        }),
        this.fb.group({
          honors: new FormControl(''),
          coursesForm: new FormControl(''),
          runAgainst: new FormControl(''),
        }),
        this.fb.group({
          credits: new FormControl(''),
        }),
      ]),
    });
  }
}
